Skip to main content
You can retrieve and update tax data for merchants before PayPal generates tax reports. Merchants who exceed IRS thresholds for Form 1099-K have reportable accounts.

1. List reportable accounts

Use a valid access token and make a GET call to the /v2/taxes/reportable-accounts endpoint. Include the following query parameters:
A successful call returns a 200 OK response. The response includes the following parameter:

2. Get a reportable account

Use a valid access token and make a GET call to the /v2/taxes/reportable-accounts/{id} endpoint. Include the following parameters: Path parameter: id is the reportable account identifier, retrieved from the List reportable accounts response. Query parameter: fields is a comma-separated list of fields to include in the response. Possible values are tax_data.account_profile, tax_data.aggregated_transactions, and tax_data.tax_properties.
A successful call returns a 200 OK response. The response includes the following parameters:

3. Update reportable account tax data

Use a valid access token and make a PATCH call to the /v2/taxes/reportable-accounts/{id} endpoint. Include the following parameters: Path parameter: id is the reportable account identifier, retrieved from the List reportable accounts response.
You can only update tax data when tax_data.editable is true. PayPal restricts modifications based on business rules such as filing status, tax year closure, or review state.
A successful call returns a 204 No Content response.